// File: SocketClient.java
// TCP/IP Java Client Example 

import java.awt.Color;
import java.awt.BorderLayout;
import java.awt.event.*;
import javax.swing.*;

import java.io.*;
import java.net.*;

class SocketClient  {

   Socket socket = null;
   PrintWriter out = null;
   BufferedReader in = null;

   SocketClient(){ //Begin Constructor
   } //End Constructor

  public boolean doCom()  {
     System.out.println("Enter Text to Send >");
     BufferedReader inComing=
			new BufferedReader(new InputStreamReader(System.in));
     String Msg;
     try{
         Msg=inComing.readLine(); 
     } catch (IOException e){
	 System.out.println("************* Input failed *************");
	 return(false);
     }
     // Send/Receive text from server
     try{
        System.out.println("About to send " + Msg);
        out.println(Msg);
        String line = in.readLine();
        System.out.println("Received " + line);
     } catch (IOException e){
	 System.out.println("************* Read failed *************");
	 return(false);
     }
     return(true);
  }
  
  public void useSocket(int port)
  {  //Create socket connection
     try{
       socket = new Socket("127.0.0.1", port);
       out = new PrintWriter(socket.getOutputStream(), true);
       in = new BufferedReader(new InputStreamReader(socket.getInputStream()));
     } catch (UnknownHostException e) {
       System.out.println("Unknown host: acad");
       System.exit(1);
     } catch  (IOException e) {
       System.out.println("No I/O");
       System.exit(1);
     }
     if (doCom())
       System.out.println("Success");
     else System.out.println("Failure");
  }

   public static void main(String[] args)
   {    SocketClient frame = new SocketClient();

        int port=0;
	if (args.length==0) {
          System.out.print("Enter the server's port number (entered when the server started) >");
     	  BufferedReader in=new BufferedReader(new InputStreamReader(System.in));
     	  try {
       		port=Integer.parseInt(in.readLine());
     	  }
     	  catch (Exception noPort) {
       	    	System.out.println("Port not read");
       		System.exit(0);
     	  }
	}
	else try {
	  port=Integer.parseInt(args[0]);
	}
   	catch (Exception noPort) {
       	  System.out.println("Invalid Command Line Argument");
       	  System.exit(0);
     	}
	frame.useSocket(port);
   }
}

